Mail archive
alpine-aports

[alpine-aports] [PATCH] main/texinfo: upgrade to 6.3

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sat, 1 Oct 2016 20:38:21 -0400

---
 main/texinfo/APKBUILD | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)
diff --git a/main/texinfo/APKBUILD b/main/texinfo/APKBUILD
index 860a808..e8471ba 100644
--- a/main/texinfo/APKBUILD
+++ b/main/texinfo/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=texinfo
-pkgver=6.1
-pkgrel=2
+pkgver=6.3
+pkgrel=0
 pkgdesc="Utilities to work with and produce manuals, ASCII text, and on-line documentation from a single source file"
 url="http://www.gnu.org/software/texinfo/"
 arch="all"
_at_@ -11,9 +11,9 @@ makedepends="ncurses-dev perl-dev"
 subpackages="$pkgname-doc"
 source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.xz"
 
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -23,17 +23,17 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR=${pkgdir} install || return 1
+	cd "$builddir"
+	make DESTDIR="$pkgdir"/ install || return 1
 
-	rm -f ${pkgdir}/usr/share/info/dir
-	gzip ${pkgdir}/usr/share/info/*
+	rm -f "$pkgdir"/usr/share/info/dir
+	gzip "$pkgdir"/usr/share/info/*
 
 	rm -rf "$pkgdir"/usr/lib/charset.alias
 	rmdir -p "$pkgdir"/usr/lib 2>/dev/null
 	return 0
 }
 
-md5sums="1d7ec1888fae00730693597852b00cde  texinfo-6.1.tar.xz"
-sha256sums="ac68394ce21b2420ba7ed7cec65d84aacf308cc88e9bf4716fcfff88286883d2  texinfo-6.1.tar.xz"
-sha512sums="ae47295f3bcfb728c3be59421cf830ecfa5fc7856a086e45da2bac89600d883aa4406a6ef62d7ee5dc2bab83a3efa1cec861a3b4b14b85bbecb53ebf3ebf7235  texinfo-6.1.tar.xz"
+md5sums="32baefe5c7080dfb512a4eac5ce67b2a  texinfo-6.3.tar.xz"
+sha256sums="246cf3ffa54985118ec2eea2b8d0c71b92114efe6282c2ae90d65029db4cf93a  texinfo-6.3.tar.xz"
+sha512sums="ef6c5878d9db497d7963bd9138418b30c39a5605c215bf2f4e8f1f083d93c3c99f8c459aa675f7da3b78da6189cb6bbf3cf19a2ee1d52e569de2f6ce82762bf4  texinfo-6.3.tar.xz"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Oct 01 2016 - 20:38:21 GMT